ustrdup(3)

NAME
ustrdup

SYNOPSIS
#include <allegro.h>

char *ustrdup(const char *src)

DESCRIPTION
This functions copies the null-terminated string `src' into a newly allocated area of memory, effectively duplicating it. Example:
   void manipulate_string(const char *input_string)
   {
      char *temp_buffer = ustrdup(input_string);
      /* Now we can modify temp_buffer */
      ...

RETURN VALUE
Returns the newly allocated string. This memory must be freed by the caller. Returns NULL if it cannot allocate space for the duplicated string.

SEE ALSO
_ustrdup(3), uconvert(3), ustrsize(3), ustrsizez(3), exconfig(3)